Skip to content

Retrieve a note

Request

You can fetch the details of a single note.

Security
bearerAuth
Path
note_idstringrequired

The unique identifier of a given note

Example:1
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.11"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.11
curl -i -X GET \
  https://api.intercom.io/notes/1 \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.11'

Responses

Note found

Bodyapplication/json
typestringrequired

String representing the object's type. Always has the value note.

Value:"note"
Example:"note"
idstringrequired

The id of the note.

Example:"17495962"
created_atinteger, (timestamp)required

The time the note was created.

Example:1674589321
contactobject or nullrequired

Represents the contact that the note was created about.

authorobject(Admin)required

Optional. Represents the Admin that created the note.

bodystringrequired

The body text of the note.

Example:"<p>Text for the note.</p>"
Response
{ "type": "note", "id": "37", "created_at": 1718801789, "contact": { "type": "contact", "id": "667d617d8a68186f43bafe58" }, "author": { "type": "admin", "id": "991267764", "name": "Ciaran316 Lee", "email": "admin316@email.com", "away_mode_enabled": false, "away_mode_reassign": false }, "body": "<p>This is a note.</p>" }